Loading...
Searching...
No Matches
seqan3::std_printer< type_t > Struct Template Reference
Core » Debug Stream

The printer for standard output streams. More...

`#include <seqan3/core/debug_stream/default_printer.hpp>`

Inheritance diagram for seqan3::std_printer< type_t >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t> requires requires (stream_t & stream) { stream.stream; }
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| The function call operator that prints the value to the stream.

## Detailed Description

template<typename type_t>
requires requires (std::ostream & cout, type_t const & value) { { cout << value }; }
struct seqan3::std_printer< type_t >

The printer for standard output streams.

The std_printer is used as a generic fallback to print regular types that can be printed to a standard output stream, e.g. std::cout.

Template Parameters

  type_t | The type of the printable argument.

## Member Function Documentation

## operator()()

template<typename type_t>
template<typename stream_t, typename arg_t>
requires requires (stream_t & stream) { stream.stream; }

void seqan3::std_printer< type_t >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

The function call operator that prints the value to the stream.

This function call operator prints the value to underlying stream of the seqan3::debug_stream. This overload is only provided if the stream is a seqan3::debug_stream.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The stream to print to.
  [in] | arg | The value to print.

The documentation for this struct was generated from the following file:

- default_printer.hpp

Hide me